<!--<button type="button" class="btn btn-primary" (click)="httpGetStudent()">Click ME</button>-->
<table class="table">
  <tr>
    <th>ID</th>
    <th>Book Number</th>
    <th>First Name</th>
    <th>Last Name</th>
    <th>Birth Date</th>
    <th>Gender</th>
    <th>Delete</th>
  </tr>
  <tr *ngFor="let student of students">
    <!--<app-student-component #app></app-student-component>-->
    <!--<app-student-personal (myEvent)="app.getStudent(student.id)"></app-student-personal>-->
    <td><a href="/students/editStudent" >{{student.id}}</a></td>
    <td>{{student.bookNumber}}</td>
    <td>{{student.personalInfo.firstName}}</td>
    <td>{{student.personalInfo.lastName}}</td>
    <td>{{student.personalInfo.birthDate | date}}</td>
    <td>{{student.personalInfo.man}}</td>
    <td>
      <button class="btn btn-primary" id="{{student.id}}" (click)="deleteStudent(student.id)">-</button>
    </td>
  </tr>
  <tr>
    <td></td>
    <td><input type="text" class="form-control" name="bookNumber" [(ngModel)]="student.bookNumber"></td>
    <td><input type="text" class="form-control" name="firstName" [(ngModel)]="student.personalInfo.firstName"></td>
    <td><input type="text" class="form-control" name="lastName" [(ngModel)]="student.personalInfo.lastName"></td>
    <td><input type="text" class="form-control" name="birthDate" [(ngModel)]="student.personalInfo.birthDate"></td>
    <label class="btn-primary" ngbButtonLabel style="margin-top: 5px">
      <td><input type="checkbox" name="man" [(ngModel)]="student.personalInfo.man"></td>
    </label>
    <td>
      <button class="btn btn-primary" (click)="addStudent(student)">+</button>
    </td>
  </tr>
</table>

<!--<button class="btn btn-outline-primary" ngbDropdownToggle>Toggle</button>-->
<!--<div ngbDropdownMenu>-->
<!--<button class="dropdown-item">Action - 1</button>-->
<!--<button class="dropdown-item">Another Action</button>-->
<!--<button class="dropdown-item">Something else is here</button>-->
<!--</div>-->
<!--<form (submit)="addStudent(student)">-->

<!--<input type="text" name="bookNumber" [(ngModel)]="student.bookNumber">-->
<!--<input type="text" name="firstName" [(ngModel)]="student.personalInfo.firstName">-->
<!--<input type="text" name="lastName" [(ngModel)]="student.personalInfo.lastName">-->
<!--<input type="text" name="birthDate" [(ngModel)]="student.personalInfo.birthDate">-->
<!--<label class="btn-primary" ngbButtonLabel style="color:white">-->
<!--<input type="checkbox" name="man" [(ngModel)]="student.personalInfo.man">-->
<!--</label>-->

<!--<input type="submit" value="add">-->
<!--</form>-->
<!--<button class="btn btn-primary" (click)="addStudent()">Dodaj</button>-->
